IncludeNotFound (Velocity 1.7 API)
Keywords: org.apache.velocity.app.event.implement.IncludeNotFound class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.app.event.implement
Class IncludeNotFound

    java.lang.Object
      org.apache.velocity.app.event.implement.IncludeNotFound

All Implemented Interfaces:
  ContextAware, EventHandler, IncludeEventHandler, RuntimeServicesAware

public class IncludeNotFound
extends Object
implements IncludeEventHandler, RuntimeServicesAware, ContextAware

Simple event handler that checks to see if an included page is available. If not, it includes a designated replacement page instead.

By default, the name of the replacement page is "notfound.vm", however this page name can be changed by setting the Velocity property `eventhandler.include.notfound`, for example: ``

     eventhandler.include.notfound = error.vm

The name of the missing resource is put into the Velocity context, under the key "missingResource", so that the "notfound" template can report the missing resource with a Velocity reference, like: `$missingResource`

Since:
  1.5
Version:
  $Id: IncludeNotFound.java 809816 2009-09-01 05:14:27Z nbubna $
Author:
  Will Glass-Husain

Nested Class Summary

Nested classes inherited from class org.apache.velocity.app.event.IncludeEventHandler
`IncludeEventHandler.IncludeEventExecutor`

Constructor Summary
`IncludeNotFound()`

Method Summary
`String` | `includeEvent(String includeResourcePath, String currentResourcePath, String directiveName)` Chseck to see if included file exists, and display "not found" page if it doesn't.
`void` | `setContext(Context context)` Initialize the EventHandler.
`void` | `setRuntimeServices(RuntimeServices rs)` Called automatically when event cartridge is initialized.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludeNotFound

    public IncludeNotFound()

Method Detail

### includeEvent

    public String includeEvent(String includeResourcePath,
                               String currentResourcePath,
                               String directiveName)

  Chseck to see if included file exists, and display "not found" page if it doesn't. If "not found" page does not exist, log an error and return null.

  Specified by:
    `includeEvent` in interface `IncludeEventHandler`
  Parameters:
    `includeResourcePath` -
    `currentResourcePath` -
    `directiveName` -
  Returns:
    message.

### setRuntimeServices

    public void setRuntimeServices(RuntimeServices rs)

  Description copied from interface: `RuntimeServicesAware`
  Called automatically when event cartridge is initialized.

  Specified by:
    `setRuntimeServices` in interface `RuntimeServicesAware`
  Parameters:
    `rs` - RuntimeServices object assigned during initialization
  See Also:
    `RuntimeServicesAware.setRuntimeServices(org.apache.velocity.runtime.RuntimeServices)`

### setContext

    public void setContext(Context context)

  Description copied from interface: `ContextAware`
  Initialize the EventHandler.

  Specified by:
    `setContext` in interface `ContextAware`
  Parameters:
    `context` -
  See Also:
    `ContextAware.setContext(org.apache.velocity.context.Context)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.